Alas, no, compatibility mode will not work.  I've seen enough issues already to indicate that full regression is required and if I'm doing that, I might as well go all the way and change the version to 2.0 on all the files and do the conversion for real.
The alternative is to keep XALAN since it's already been tested.
The cost of the upgrade is a business decision that I cannot make alone.
Thanks to all for your time and assistance.
Todd Gochenour